Delete contacts/item/memory
curl --request DELETE \
--url https://api.callaro.ai/api/v1/contacts/{contact_id}/memory \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/contacts/{contact_id}/memory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/contacts/{contact_id}/memory"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"contact_id": "<string>",
"agent_id": "<string>",
"summary": "<string>",
"open_items": "<string>",
"interaction_log": "<string>",
"last_updated_from_call_at": "<string>",
"last_voice_session_id": "<string>",
"updated_at": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"prompt_version": "<string>",
"runs_count": 123,
"last_run_cost_usd": "<string>",
"total_cost_usd": "<string>",
"last_run_input_tokens": 123,
"last_run_output_tokens": 123,
"total_input_tokens": 123,
"total_output_tokens": 123,
"last_billed_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Contacts
Delete contacts/item/memory
From api/v1/contact_memories#destroy in voice_saas_api. Fields come from that action’s strong params / params usage.
DELETE
/
api
/
v1
/
contacts
/
{contact_id}
/
memory
Delete contacts/item/memory
curl --request DELETE \
--url https://api.callaro.ai/api/v1/contacts/{contact_id}/memory \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.callaro.ai/api/v1/contacts/{contact_id}/memory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/contacts/{contact_id}/memory"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"contact_id": "<string>",
"agent_id": "<string>",
"summary": "<string>",
"open_items": "<string>",
"interaction_log": "<string>",
"last_updated_from_call_at": "<string>",
"last_voice_session_id": "<string>",
"updated_at": "<string>",
"llm_provider": "<string>",
"llm_model": "<string>",
"prompt_version": "<string>",
"runs_count": 123,
"last_run_cost_usd": "<string>",
"total_cost_usd": "<string>",
"last_run_input_tokens": 123,
"last_run_output_tokens": 123,
"total_input_tokens": 123,
"total_output_tokens": 123,
"last_billed_at": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Path Parameters
Query Parameters
Was this page helpful?